# -*- encoding: utf-8 -*-
# stub: webauthn 3.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "webauthn".freeze
  s.version = "3.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/cedarcode/webauthn-ruby/issues", "changelog_uri" => "https://github.com/cedarcode/webauthn-ruby/blob/master/CHANGELOG.md", "source_code_uri" => "https://github.com/cedarcode/webauthn-ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Gonzalo Rodriguez".freeze, "Braulio Martinez".freeze]
  s.bindir = "exe".freeze
  s.date = "2023-02-15"
  s.description = "WebAuthn ruby server library \u2015 Make your application a W3C Web Authentication conformant\n    Relying Party and allow your users to authenticate with U2F and FIDO2 authenticators.".freeze
  s.email = ["gonzalo@cedarcode.com".freeze, "braulio@cedarcode.com".freeze]
  s.files = [".github/workflows/build.yml".freeze, ".github/workflows/git.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, "CHANGELOG.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "SECURITY.md".freeze, "bin/console".freeze, "bin/setup".freeze, "docs/advanced_configuration.md".freeze, "docs/u2f_migration.md".freeze, "lib/cose/rsapkcs1_algorithm.rb".freeze, "lib/webauthn.rb".freeze, "lib/webauthn/attestation_object.rb".freeze, "lib/webauthn/attestation_statement.rb".freeze, "lib/webauthn/attestation_statement/android_key.rb".freeze, "lib/webauthn/attestation_statement/android_safetynet.rb".freeze, "lib/webauthn/attestation_statement/apple.rb".freeze, "lib/webauthn/attestation_statement/base.rb".freeze, "lib/webauthn/attestation_statement/fido_u2f.rb".freeze, "lib/webauthn/attestation_statement/fido_u2f/public_key.rb".freeze, "lib/webauthn/attestation_statement/none.rb".freeze, "lib/webauthn/attestation_statement/packed.rb".freeze, "lib/webauthn/attestation_statement/tpm.rb".freeze, "lib/webauthn/authenticator_assertion_response.rb".freeze, "lib/webauthn/authenticator_attestation_response.rb".freeze, "lib/webauthn/authenticator_data.rb".freeze, "lib/webauthn/authenticator_data/attested_credential_data.rb".freeze, "lib/webauthn/authenticator_response.rb".freeze, "lib/webauthn/client_data.rb".freeze, "lib/webauthn/configuration.rb".freeze, "lib/webauthn/credential.rb".freeze, "lib/webauthn/credential_creation_options.rb".freeze, "lib/webauthn/credential_entity.rb".freeze, "lib/webauthn/credential_options.rb".freeze, "lib/webauthn/credential_request_options.rb".freeze, "lib/webauthn/credential_rp_entity.rb".freeze, "lib/webauthn/credential_user_entity.rb".freeze, "lib/webauthn/encoder.rb".freeze, "lib/webauthn/error.rb".freeze, "lib/webauthn/fake_authenticator.rb".freeze, "lib/webauthn/fake_authenticator/attestation_object.rb".freeze, "lib/webauthn/fake_authenticator/authenticator_data.rb".freeze, "lib/webauthn/fake_client.rb".freeze, "lib/webauthn/public_key.rb".freeze, "lib/webauthn/public_key_credential.rb".freeze, "lib/webauthn/public_key_credential/creation_options.rb".freeze, "lib/webauthn/public_key_credential/entity.rb".freeze, "lib/webauthn/public_key_credential/options.rb".freeze, "lib/webauthn/public_key_credential/request_options.rb".freeze, "lib/webauthn/public_key_credential/rp_entity.rb".freeze, "lib/webauthn/public_key_credential/user_entity.rb".freeze, "lib/webauthn/public_key_credential_with_assertion.rb".freeze, "lib/webauthn/public_key_credential_with_attestation.rb".freeze, "lib/webauthn/relying_party.rb".freeze, "lib/webauthn/u2f_migrator.rb".freeze, "lib/webauthn/version.rb".freeze, "webauthn.gemspec".freeze]
  s.homepage = "https://github.com/cedarcode/webauthn-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.4.19".freeze
  s.summary = "WebAuthn ruby server library".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<android_key_attestation>.freeze, ["~> 0.3.0"])
  s.add_runtime_dependency(%q<awrence>.freeze, ["~> 1.1"])
  s.add_runtime_dependency(%q<bindata>.freeze, ["~> 2.4"])
  s.add_runtime_dependency(%q<cbor>.freeze, ["~> 0.5.9"])
  s.add_runtime_dependency(%q<cose>.freeze, ["~> 1.1"])
  s.add_runtime_dependency(%q<openssl>.freeze, [">= 2.2"])
  s.add_runtime_dependency(%q<safety_net_attestation>.freeze, ["~> 0.4.0"])
  s.add_runtime_dependency(%q<tpm-key_attestation>.freeze, ["~> 0.12.0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 1.17", "< 3.0"])
  s.add_development_dependency(%q<byebug>.freeze, ["~> 11.0"])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.9.1"])
  s.add_development_dependency(%q<rubocop-rake>.freeze, ["~> 0.5.1"])
  s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.2.0"])
end

